# Copyright (C) 2006 Jay Beale
# Licensed under the GNU General Public License

package Bastille::OSX;
use lib "/usr/lib";

use Bastille::API;
#use File::Basename;
#use File::Path;

@ENV="";
$ENV{PATH}="";
$ENV{CDPATH}=".";
$ENV{BASH_ENV}="";

#######################################################################
##                           OS X Specific Items                     ##
#######################################################################



# Bluetooth

This item steps through ~/Library/Preferences/com.apple.Bluetooth.plist for each user with UID >= 500, looking for Bluetooth configuration items.

If Bluetooth is on  (ControllerPowerState is 1) then check for the following required settings:

1. Is authentication required? (AuthenticationEnable ==1)
2. Is encryption on? (EncryptionEnable ==1)
3. Is the machine not discoverable? (DiscoverableState= false)
4. Is file transfer not active? (kPrefKeyFileTransferEnabled == false)
5. Is the user prompted before files are accepted? (OBEXFileHandling != 0)
6. Is the user prompted before PIM items are accepted? (OBEXPIMDataDisposition == 2)
7. Is the user prompted before non-PIM items are accepted? (OBEXOtherDataDisposition == 2)

This is tough for us to parse, since there's multi-line matching involved in any file that ends in .plist.  Here's an example:

<key>ControllerPowerState</key>
<integer>0</integer>

We don't really know the corner cases, since we're mostly reverse engineering apple's GUIs, but here's the guess:

In absence of a setting, #1 and #2 default to 0 (violation) while #3 and #4 default to false (not violation).  #5 probably defaults to 0 (violation).  #6 and #7 probably default to 0 (violation).

